summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2013-06-22 07:37:07 +0200
committer Niels Horn2013-06-23 02:34:53 +0200
commitc3c10d43313262e1195602a5e115df9b6b217964 (patch)
tree3b81e62dc9dccac34806706fbb4027c81db6e221
parentc2dd9fbb0ff716cfd0775b2bbbb20b32bc3fea38 (diff)
downloadslackbuilds-c3c10d43313262e1195602a5e115df9b6b217964.tar.gz
misc/nixnote: Added (Open Source Client for Evernote)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--misc/nixnote/README1
-rw-r--r--misc/nixnote/doinst.sh3
-rw-r--r--misc/nixnote/nixnote.SlackBuild79
-rw-r--r--misc/nixnote/nixnote.info10
-rw-r--r--misc/nixnote/slack-desc19
5 files changed, 112 insertions, 0 deletions
diff --git a/misc/nixnote/README b/misc/nixnote/README
new file mode 100644
index 0000000000..20e3a6b70d
--- /dev/null
+++ b/misc/nixnote/README
@@ -0,0 +1 @@
+Nixnote is an open source clone of Evernote.
diff --git a/misc/nixnote/doinst.sh b/misc/nixnote/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/nixnote/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/nixnote/nixnote.SlackBuild b/misc/nixnote/nixnote.SlackBuild
new file mode 100644
index 0000000000..611d11149f
--- /dev/null
+++ b/misc/nixnote/nixnote.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for nixnote
+
+# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nixnote
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SOURCEARCH="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SOURCEARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SOURCEARCH="amd64"
+else
+ SOURCEARCH="i386"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}_$SOURCEARCH.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp -r usr $PKG
+rm -rf $PKG/usr/share/man
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/nixnote/nixnote.info b/misc/nixnote/nixnote.info
new file mode 100644
index 0000000000..6f750c591e
--- /dev/null
+++ b/misc/nixnote/nixnote.info
@@ -0,0 +1,10 @@
+PRGNAM="nixnote"
+VERSION="1.6"
+HOMEPAGE="http://nevernote.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/nevernote/files/NixNote%201.6/nixnote-1.6_i386.tar.gz"
+MD5SUM="d79e6dde6ec3acd3f973f8469746df25"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/nevernote/files/NixNote%201.6/nixnote-1.6_amd64.tar.gz"
+MD5SUM_x86_64="d3f98f571cc80155313b13e708f23e48"
+REQUIRES="jdk"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org" \ No newline at end of file
diff --git a/misc/nixnote/slack-desc b/misc/nixnote/slack-desc
new file mode 100644
index 0000000000..c451f4268e
--- /dev/null
+++ b/misc/nixnote/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nixnote: nixnote (Open Source Client for Evernote)
+nixnote:
+nixnote: This is an open source clone of Evernote.
+nixnote:
+nixnote: Project Site: http://nevernote.sourceforge.net/
+nixnote:
+nixnote:
+nixnote:
+nixnote:
+nixnote:
+nixnote: